org.apache.olingo.client.api.edm.xml

## Interface XMLMetadata

-     public interface XMLMetadata

  Entry point for access information about EDM metadata.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEdmVersion()`
    `List<Reference>` | `getReferences()`
    `CsdlSchema` | `getSchema(int index)` Returns the Schema at the specified position in the EdM metadata document.
    `CsdlSchema` | `getSchema(String key)` Returns the Schema with the specified key (namespace or alias) in the EdM metadata document.
    `Map<String,CsdlSchema>` | `getSchemaByNsOrAlias()`
    `List<List<String>>` | `getSchemaNamespaces()`
    `List<CsdlSchema>` | `getSchemas()` Returns all Schema objects defined in the EdM metadata document.

- - ### Method Detail

    - #### getSchema

          CsdlSchema getSchema(int index)

      Returns the Schema at the specified position in the EdM metadata document.
      Parameters:
        `index` - index of the Schema to return
      Returns:
        the Schema at the specified position in the EdM metadata document

    - #### getSchema

          CsdlSchema getSchema(String key)

      Returns the Schema with the specified key (namespace or alias) in the EdM metadata document.
      Parameters:
        `key` - namespace or alias
      Returns:
        the Schema with the specified key in the EdM metadata document

    - #### getSchemas

          List<CsdlSchema> getSchemas()

      Returns all Schema objects defined in the EdM metadata document.
      Returns:
        all Schema objects defined in the EdM metadata document

    - #### getSchemaByNsOrAlias

          Map<String,CsdlSchema> getSchemaByNsOrAlias()

    - #### getReferences

          List<Reference> getReferences()

    - #### getSchemaNamespaces

          List<List<String>> getSchemaNamespaces()

    - #### getEdmVersion

          String getEdmVersion()

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.